WordPress.org

Support

Support » Installation » [Resolved] Install fails on win2k-apache-mysql-php

[Resolved] Install fails on win2k-apache-mysql-php

  • I have the message “Your PHP installation appears to be missing the MySQL which is required for Word”
    but for phpinfo(); I have:

    mysqli
    MysqlI Support enabled
    Client API library version 5.0.22
    Client API header version 5.0.22
    MYSQLI_SOCKET /tmp/mysql.sock

    my environment is:
    win2k sp4
    php 5.2.0 running as apache module (php5apache2.dll)
    mysql 5.0.27
    apache 2.0.59
    php_mysqli 5.2.0

    I have not ideas now 🙁

    thanks

    sl3

Viewing 6 replies - 1 through 6 (of 6 total)
  • Per this thread, it may be unable to see the php.ini file. Please check the solution provided in that thread.

    Here’s a link to a Google search for your error.

    Hope this helps,
    -drmike

    hi, thanks.
    i already check that issue, but isn’t the problem here, cause phpinfo(); shows right parameters for mysqli (because can read php.ini i guess… i’ll try removing php.ini 🙂 )
    And about google search… i’m not a new user on net 🙂
    i’ve visited almost hundreds webpages, and try with many options, ideas, but i can’t fix it yet.
    examples:
    – path to php.ini
    – loading dll by wp settings file
    – read and check solutions for in several post in this forum (some talking about webhosting sites, etc.)
    and finally i decided to create this post.
    sorry about don’t write all my attempts before (there are many othes)

    so, somebody have any idea?

    thanks in advance

    sl3

    Install XAMPP, where all the programs talk to each other natively from the get-go?

    http://apachefriends.org/en/xampp.html

    (I do have to say I know a couple of people who’ve never managed to get a similar setup even using XAMPP to work on win2k.)

    XAMPP works, but I need this stuff for a production environment, so must have services running by it self.
    I have many others sofware, like Trac, moinmoin, etc. So I must do it correctly 🙂
    may be xampp installation helps me to find the correct configuration parameter.
    thanks again

    sl3

    next try:
    comment lines
    if ( !extension_loaded(‘mysql’) ) {
    die( ‘Your PHP installation appears to be missing the MySQL which is required for WordPress.’ );
    }

    on wp-settings.php
    results:
    blank page, so library is loaded, but no results

    next try
    change
    if ( !extension_loaded(‘mysql’) ) {
    die( ‘Your PHP installation appears to be missing the MySQL which is required for WordPress.’ );
    }
    to
    if ( !extension_loaded(‘mysqli’) ) { // mysqli , no te the “i”
    die( ‘Your PHP installation appears to be missing the MySQL which is required for WordPress.’ );
    }

    results:
    blank page

    so, library is loaded, but for some reason it doesn’t work.

    next try:
    enable mysql library instead of mysqli on php configuration.

    result
    it works!!

    I hope this helps to others with same problem.

    sl3

    Great! Glad you figured it out, thanks for posting the solution so others can find it.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Resolved] Install fails on win2k-apache-mysql-php’ is closed to new replies.